<?php

if ( !defined( 'FW' ) ) {
    die( 'Forbidden' );
}
$options = array(// phpcs:ignore WPThemeReview.CoreFunctionality.PrefixAllGlobals.NonPrefixedVariableFound
	'primary_color'     => array(
		'type'     => 'color-picker',
		'palettes' => array( '#f6f8f7', '#4cc2c0', '#f15b26', '#fcb03b', '#3cb878', '#8dc63f', '#6739b6' ),
		'label'    => esc_html__( 'Main accent color', 'utouch-lite' ),
		'help'     => esc_html__( 'Click on field to choose color or clear field for default value', 'utouch-lite' ),
		'value'    => '#0083ff',
	),
	'secondary_color'   => array(
		'type'     => 'color-picker',
		'palettes' => array( '#f6f8f7', '#4cc2c0', '#f15b26', '#fcb03b', '#3cb878', '#8dc63f', '#6739b6' ),
		'label'    => esc_html__( 'Secondary accent color', 'utouch-lite' ),
		'help'     => esc_html__( 'Click on field to choose color or clear field for default value', 'utouch-lite' ),
		'value'    => '#9db5d4',
	),
	'website_preloader' => array(
		'type'    => 'multi-picker',
		'label'   => false,
		'desc'    => false,
		'picker'  => array(
			'show' => array(
				'label'        => esc_html__( 'Enable website pre-loader', 'utouch-lite' ),
				'type'         => 'switch',
				'value'        => 'no',
				'left-choice'  => array(
					'value' => 'no',
					'label' => esc_html__( 'No', 'utouch-lite' ),
				),
				'right-choice' => array(
					'value' => 'yes',
					'label' => esc_html__( 'Yes', 'utouch-lite' ),
				),
			),
		),
		'choices' => array(
			'yes' => array(
				'color' => array(
					'type'     => 'color-picker',
					'palettes' => array( '#f6f8f7', '#4cc2c0', '#f15b26', '#fcb03b', '#3cb878', '#8dc63f', '#6739b6' ),
					'label'    => esc_html__( 'Preloader background', 'utouch-lite' ),
					'help'     => esc_html__( 'Click on field to choose color or clear field for default value', 'utouch-lite' ),
					'value'    => '#66b5ff',
				),
			),
		),
	),
    'boxed_container'   => array(
        'type'    => 'multi-picker',
        'label'   => false,
        'desc'    => false,
        'picker'  => array(
            'show' => array(
                'label'        => esc_html__( 'Enable boxed container', 'utouch-lite' ),
                'type'         => 'switch',
                'value'        => 'no',
                'left-choice'  => array(
                    'value' => 'no',
                    'label' => esc_html__( 'No', 'utouch-lite' ),
                ),
                'right-choice' => array(
                    'value' => 'yes',
                    'label' => esc_html__( 'Yes', 'utouch-lite' ),
                ),
            ),
        ),
        'choices' => array(
            'yes' => array(
                'width' => array(
                    'type'       => 'slider',
                    'value'      => 1200,
                    'properties' => array(
                        'min'       => 200,
                        'max'       => 2000,
                        'step'      => 10,
                        'grid_snap' => false
                    ),
                    'label'      => esc_html__( 'Max width', 'utouch-lite' ),
                ),
            ),
        ),
    ),
);