<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$utouch_admin_images_path = UTOUCH_THEME_URI . '/images/admin';

$options = array(// phpcs:ignore WPThemeReview.CoreFunctionality.PrefixAllGlobals.NonPrefixedVariableFound
	'sections-top-bar' => array(
		'type'  => 'multi-picker',
		'label' => false,
		'desc'  => false,
		'value' => array(
			'status' => 'hide',
			'show' => array(
				'theme-style' => 'top-bar-dark',
			),
		),
		'picker' => array(
			'status' => array(
				'type'  => 'switch',
				'label' => esc_html__('Top bar', 'utouch-lite'),
				'left-choice' => array(
					'value' => 'hide',
					'label' => esc_html__('Hide', 'utouch-lite'),
				),
				'right-choice' => array(
					'value' => 'show',
					'label' => esc_html__('Show', 'utouch-lite'),
				),
			),
		),
		'choices' => array(
			'show' => array(
				'theme-style' => array(
					'type'  => 'select',
					'label' => esc_html__('Color scheme', 'utouch-lite'),
					'choices' => array(
						'' => esc_html__('White', 'utouch-lite'),
						'top-bar-dark' => esc_html__('Dark', 'utouch-lite'),
					),
				),
				'icons-style' => array(
					'type'  => 'radio',
					'label' => esc_html__('Icons style', 'utouch-lite'),
					'value' => 'plain',
					'choices' => array(
						'colored' => esc_html__('Colored', 'utouch-lite'),
						'plain' => esc_html__('Text color', 'utouch-lite'),
					),
				),
			),
		),
		'show_borders' => true,
	),

	'decorative-line' => array(
		'type'  => 'switch',
		'label' => esc_html__('Top decorative line', 'utouch-lite'),
		'value' => 'show',
		'left-choice' => array(
			'value' => 'hide',
			'label' => esc_html__('Hide', 'utouch-lite'),
		),
		'right-choice' => array(
			'value' => 'show',
			'label' => esc_html__('Show', 'utouch-lite'),
		),
	),

	'header_bg_color'   => array(
		'type'  => 'color-picker',
		'label' => esc_html__( 'Background Color', 'utouch-lite' ),
		'help'  => esc_html__( 'Click on field to choose color or clear field for default value', 'utouch-lite' ),
		'value' => '#fff',

	),
	'header-text-color' => array(
		'type'  => 'color-picker',
		'label' => esc_html__( 'Text Color', 'utouch-lite' ),
		'help'  => esc_html__( 'Click on field to choose color or clear field for default value', 'utouch-lite' ),
		'value' => '#6a85a6',

	),
);