<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }

/**
 * Set up the content width value based on the theme's design.
 *
 * @see utouch_adjust_content_width()
 */

if ( ! isset( $content_width ) ){
	$content_width = 706;
}

function utouch_adjust_content_width() {
	global $content_width;

	$layout = utouch_sidebar_conf(true);
	$content_width = 'full' !== $layout['position'] ? 706 : 1200;
}

add_action( 'template_redirect', 'utouch_adjust_content_width' );