<?php
/*
  * FIle for include classes and functions for extending
  * Plugins functionality when that plugins are installed
  */

if ( is_admin() ) {
	$utouch_not_show_on_pages = array( 'crum_auto_setup' );
	$utouch_get_page = array_key_exists( 'page', $_REQUEST ) ? $_REQUEST['page'] : '';

	if ( ! in_array( $utouch_get_page, $utouch_not_show_on_pages ) ) {
		$utouch_file_path = locate_template( 'TGM-Plugin-Activation/class-tgm-plugin-activation.php' );
		load_template( $utouch_file_path );
	}
}

function _action_utouch_register_required_plugins() {
	if ( class_exists( 'TGM_Plugin_Activation' ) ) {
		tgmpa( array(
			array(
				'name'         => esc_html__( 'Unyson', 'utouch-lite' ),
				'slug'         => 'unyson',
				'is_automatic' => false,
				'required'     => false,
			),
		) );
	}
}

add_action( 'tgmpa_register', '_action_utouch_register_required_plugins' );


if ( class_exists( 'WooCommerce' ) ) {
	$utouch_file_path = locate_template( 'inc/plugins-extend/woocommerce.php' );
	load_template( $utouch_file_path );
}
if ( class_exists( 'Easy_Digital_Downloads' ) ) {
	$utouch_file_path = locate_template( 'inc/plugins-extend/easydigitaldownloads.php' );
	load_template( $utouch_file_path );
}
if ( class_exists( 'GW_GoPricing' ) && is_admin() ) {
	$utouch_file_path = locate_template( 'inc/plugins-extend/go-pricing.php' );
	load_template( $utouch_file_path );
}
if ( class_exists( 'WPCF7' ) ) {
	$utouch_file_path = locate_template( 'inc/plugins-extend/contact-form-7.php' );
	load_template( $utouch_file_path );
}