<?php
$utouch_the_query = get_query_var( 'portfolio-ajax-query' );

if ( !$utouch_the_query ) {
    return '';
}

$utouch_links = paginate_links( array(
    'base'      => '%_%',
    'format'    => '?page=%#%',
    'total'     => $utouch_the_query->max_num_pages,
    'current'   => $utouch_the_query->get( 'paged' ),
    'mid_size'  => 3,
    'prev_next' => false,
) );

if ( !$utouch_links ) {
    return '';
}

ob_start();
get_template_part( 'parts/spinner' );
$utouch_spinner = ob_get_clean();

$utouch_links = preg_replace( array( '/page-numbers/', '/href\=\'\'/', '/href=\"\"/', '/(\<a .+?\>)(.+?)(\<\/a\>)/' ), array( 'page-numbers ajax-paginate-link bg-border-color', 'href="?page=1"', 'href="?page=1"', '$1<span class="load-more-text">$2</span>' . $utouch_spinner . '$3' ), $utouch_links );
?>

<div class="row">
    <div class="col-lg-12">
        <nav class="navigation">
            <?php utouch_render( $utouch_links ); ?>
        </nav>
    </div>
</div>
