<?php
/**
 * @package utouch-wp
 */

$stunning            = Utouch::template_stunning();
$stunning_with_title = $stunning->show && $stunning->title;
$template_post       = Utouch::template_post();

?>
	<div class="post__content">

		<?php
		if ( $template_post->show_meta && ! $stunning_with_title ) {
			Utouch::set_var( 'modified_single', get_the_ID() );
			get_template_part( 'parts/post/modified' );
		}
		?>

		<div class="post__content-info">
			<?php
			if ( ( ! Utouch::template_stunning()->show ) ||( Utouch::template_stunning()->show && !$stunning_with_title )) { ?>
				<h1 class="post__title entry-title"><?php the_title() ?></h1>
			<?php } ?>


			<div class="post-additional-info">
				<?php
				if ( $template_post->show_meta && $stunning_with_title ) {
					Utouch::set_var( 'modified_single', get_the_ID() );
					get_template_part( 'parts/post/modified' );
				}
				?>
				<?php if ( $template_post->show_author ) {
					utouch_post_author( get_the_author_meta( 'ID' ) );
				} ?>

				<?php if ( $template_post->show_meta ) {
					utouch_comments_count();
				} ?>
			</div>

		</div>

		<?php the_content() ?>

		<?php
		wp_link_pages( array(
			'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'utouch-lite' ),
			'after'  => '</div>',
		) );
		?>

		<div class="post-details-shared">
			<?php
			edit_post_link(
				sprintf(
				/* translators: %s: Name of current post */
					esc_html__( 'Edit', 'utouch-lite' ) ),
				'',
				'',
				0,
				'post-edit-link btn btn--green'
			);
			?>
			<?php if ( $template_post->show_meta ) {
				get_template_part( 'parts/post/tags' );
			} ?>
		</div>

	</div>

<?php
