<?php if ( ! defined( 'FW' ) ) {
    die( 'Forbidden' );
} ?>

<?php if ( ! empty( $items ) ) : ?>
    <ul class="breadcrumbs" itemscope itemtype="http://schema.org/BreadcrumbList">
        <?php for ( $utouch_i = 0; $utouch_i < count( $items ); $utouch_i ++ ) : ?>
            <?php if ( $utouch_i == ( count( $items ) - 1 ) ) : ?>
                <li class="breadcrumbs-item active" itemprop="itemListElement" itemscope
                    itemtype="http://schema.org/ListItem">
                    <span class="active-text" itemprop="name"><?php echo esc_html( $items[ $utouch_i ]['name'] ) ?></span>
                    <meta itemprop="position" content="<?php echo esc_attr( $utouch_i ) ?>"/>
                </li>
            <?php elseif ( $utouch_i == 0 ) : ?>
                <li class="breadcrumbs-item first-item" itemprop="itemListElement" itemscope
                    itemtype="http://schema.org/ListItem">
                <?php if ( isset( $items[ $utouch_i ]['url'] ) ) : ?>
                    <a href="<?php echo esc_url( $items[ $utouch_i ]['url'] ) ?>" itemprop="item"><span
                                itemprop="name"><?php echo esc_html( $items[ $utouch_i ]['name'] ) ?></span></a>
                    <meta itemprop="position" content="<?php echo esc_attr( $utouch_i ) ?>"/>
                    <?php utouch_render( $separator ) ?>
                    </li>
                <?php else : echo esc_html( $items[ $utouch_i ]['name'] ); endif ?>
                <?php
            else : ?>
                <li class="breadcrumbs-item <?php utouch_render( $utouch_i - 1 ) ?>-item" itemprop="itemListElement" itemscope
                    itemtype="http://schema.org/ListItem">
                    <?php if ( isset( $items[ $utouch_i ]['url'] ) ) : ?>
                        <a href="<?php echo esc_url( $items[ $utouch_i ]['url'] ) ?>" itemprop="item"><span
                                    itemprop="name"><?php echo esc_html( $items[ $utouch_i ]['name'] ) ?></span></a>
                        <meta itemprop="position" content="<?php echo esc_attr($utouch_i) ?>"/>
                    <?php else : echo esc_html( $items[ $utouch_i ]['name'] ); endif ?>
                    <?php utouch_render( $separator ) ?>
                </li>
            <?php endif ?>
        <?php endfor ?>
    </ul>
<?php endif ?>