<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}
/**
 * Customizer options
 *
 * @var array $options Fill this array with options to generate theme style from frontend Customizer
 */


$options = array(// phpcs:ignore WPThemeReview.CoreFunctionality.PrefixAllGlobals.NonPrefixedVariableFound
	'panel_design'    => array(
		'title'   => esc_html__( 'Design customize', 'utouch-lite' ),
		'options' => array(
			fw()->theme->get_options( 'customizer-design' ),
		),
	),
	'panel_typo'      => array(
		'title'   => esc_html__( 'Typography', 'utouch-lite' ),
		'options' => array(
			fw()->theme->get_options( 'customizer-typography' ),
		),
	),
	'panel_header'    => array(
		'title'   => esc_html__( 'Header options', 'utouch-lite' ),
		'options' => array(
			fw()->theme->get_options( 'customizer-header' ),
		),
	),
	'panel_stunning'  => array(
		'title'   => esc_html__( 'Stunning header', 'utouch-lite' ),
		'options' => array(
			fw()->theme->get_options( 'customizer-stunning' ),
		),
	),

	'panel_footer'    => array(
		'title'   => esc_html__( 'Footer options', 'utouch-lite' ),
		'options' => array(
			fw()->theme->get_options( 'customizer-footer' ),
		),
	),
	'panel_blog'      => array(
		'title'   => esc_html__( 'Blog options', 'utouch-lite' ),
		'options' => array(
			fw()->theme->get_options( 'customizer-blog' ),
		),
	),

);