<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(// phpcs:ignore WPThemeReview.CoreFunctionality.PrefixAllGlobals.NonPrefixedVariableFound

	'order'           => array(
		'label'   => esc_html__( 'Order', 'utouch-lite' ),
		'type'    => 'select',
		'desc'    => esc_html__( 'Designates the ascending or descending order of items', 'utouch-lite' ),
		'choices' => array(
			'default' => esc_html__( 'Default', 'utouch-lite' ),
			'DESC'    => esc_html__( 'Descending', 'utouch-lite' ),
			'ASC'     => esc_html__( 'Ascending', 'utouch-lite' ),
		),
	),
	'orderby'         => array(
		'label'   => esc_html__( 'Order posts by', 'utouch-lite' ),
		'type'    => 'select',
		'desc'    => esc_html__( 'Sort retrieved posts by parameter.', 'utouch-lite' ),
		'choices' => array(
			'default'       => esc_html__( 'Default', 'utouch-lite' ),
			'date'          => esc_html__( 'Order by date', 'utouch-lite' ),
			'comment_count' => esc_html__( 'Order by number of comments', 'utouch-lite' ),
			'author'        => esc_html__( 'Order by author.', 'utouch-lite' ),
			'modified'      => esc_html__( 'Order by last modified date.', 'utouch-lite' ),
		),
	),
	'taxonomy_select' => array(
		'type'       => 'multi-select',
		'label'      => esc_html__( 'Categories', 'utouch-lite' ),
		'help'       => esc_html__( 'Click on field and type category name to find  category', 'utouch-lite' ),
		'population' => 'taxonomy',
		'source'     => 'category',
		'limit'      => 100,
	),
	'exclude'         => array(
		'type'  => 'checkbox',
		'value' => false,
		'label' => esc_html__( 'Exclude selected', 'utouch-lite' ),
		'desc'  => esc_html__( 'Show all categories except that selected in "Categories" option', 'utouch-lite' ),
		'text'  => esc_html__( 'Exclude', 'utouch-lite' ),
	),
	'per_page'        => array(
		'label' => esc_html__( 'Items per page', 'utouch-lite' ),
		'desc'  => esc_html__( 'How many portfolios show per page', 'utouch-lite' ),
		'help'  => esc_html__( 'Please input number here. Leave empty for default value', 'utouch-lite' ),
		'type'  => 'text',
	),
);