/**
 * Post featured metaboxes for different post formats
 **/


(function ($) {

    // USE STRICT
    "use strict";

    $(window).load(function () {
        if ($('body').hasClass('post-type-post')) {
            var $selector_panel = $("select[id^=\"post-format-selector\"], #post-formats-select input[name=\"post_format\"]:checked");
            var $selector_panels = $("select[id^=\"post-format-selector\"], #post-formats-select input[name=\"post_format\"]");
            var $post_format_metaboxes = $('#fw-options-box-post-quote, #fw-options-box-post-image, #fw-options-box-post-video, #fw-options-box-post-link, #fw-options-box-post-audio, #fw-options-box-post-gallery');

            $post_format_metaboxes.hide(); // Default Hide
            $('#fw-options-box-post-' + $selector_panel.val()).show();

            $selector_panels.change(function () {
                $post_format_metaboxes.hide(); // Hide during changing
                $('#fw-options-box-post-' + $(this).val()).show();
            });
        }
    });
   
}(jQuery));