<?php
/**
 * @package utouch-wp
 */


$utouch_current_post  = get_post();
$utouch_current_terms = get_the_terms( $utouch_current_post->ID, 'post_tag' );
if ( is_array( $utouch_current_terms ) && ! empty( $utouch_current_terms ) ) {
	$utouch_count = count( $utouch_current_terms );
	$utouch_tags_html = '';
	foreach ( $utouch_current_terms as $utouch_i => $utouch_current_term ) {
		/**
		 * @var WP_Term $term
		 */
		$utouch_tags_html .= '<li><a href="' . get_category_link( $utouch_current_term ) . '">' . $utouch_current_term->name . '</a>';
		if ( $utouch_i + 1 == $utouch_count ) {
			$utouch_tags_html .= '</li>';
		} else {
			$utouch_tags_html .= '&nbsp;,&nbsp;</li>';
		}
	}

	?>

	<ul class="tags-inline">
		<li><?php echo esc_html__( 'Tags:', 'utouch-lite' ) ?> </li>
		<?php utouch_render($utouch_tags_html) ?>
	</ul>

<?php } ?>